[core]
inj_file_pattern = *.sqlite
sqlite_run_tag = ^.*_(.*)-([0-9]+)-([0-9]+).sqlite$
accounting_group = ligo.dev.o4.cbc.pe.bilby
; Columns to extract from GstLAL sim-coinc database
sqlite_cols = inj_m1,inj_m2,inj_spin1z,inj_spin2z,inj_redshift,rec_m1,rec_m2,rec_spin1z,rec_spin2z,Gamma1,cfar,snr,gpstime

[executables]
; em_bright executables
em_bright_extract = em_bright_extract
em_bright_join = em_bright_join
em_bright_categorize = em_bright_categorize
em_bright_train = em_bright_train
em_bright_create_param_sweep_plot = em_bright_create_param_sweep_plot

[output_filenames]
; em_bright prefixes and suffixes
em_bright_extract_prefix = em_bright_INJCOINC
em_bright_extract_suffix = .txt
em_bright_join_prefix = em_bright_JOIN
em_bright_join_suffix = .tbl
em_bright_categorize_prefix = em_bright_CATEGORIZE
em_bright_categorize_suffix = .tbl
em_bright_train_prefix = em_bright_TRAIN
em_bright_train_suffix = .pickle

[em_bright]
; suffix _cols columns should exist input dataframe, comma separated, no whitespace
; other columns are self-explanatory, snr -> network snr i.e., from coinc_inspiral
feature_cols = m1_rec,m2_rec,chi1_rec,chi2_rec,snr
category_cols = NS,EMB
threshold_cols = cfar,snr
threshold_values = 3.86e-07,0.
; values to keep are lesser/greater than threshold value
threshold_type = lesser,greater
; kwargs passed to KNearestNeighborClassifier
clf_kwargs = {'n_neighbors':11, 'n_jobs':-1, 'weights':'distance'}

[massgap]
; suffix _cols columns should exist input dataframe, comma separated, no whitespace
; other columns are self-explanatory, snr -> network snr i.e., from coinc_inspiral
feature_cols = m1_rec,m2_rec,chi1_rec,chi2_rec,snr
category_cols = mass_gap
threshold_cols = cfar,m1_rec
; remove high-mass recoveries since they are found to be pathological
; see: https://git.ligo.org/emfollow/em-properties/mass_gap/-/blob/main/high_mass_artifact_study.ipynb
threshold_values = 3.86e-07,120
threshold_type = lesser,lesser
clf_kwargs = {'n_estimators':50, 'criterion':'gini', 'max_depth': 20, 'max_features': None, 'min_samples_leaf': 5, 'min_samples_split': 20}

[ssm]
gstlal_injection_filename = GstLAL_final.csv
mbta_injection_filename = MBTA_final.csv
feature_cols = m1_rec,m2_rec,chi1_rec,chi2_rec,mc_rec,snr
category_cols = class_label
threshold_cols = cfar
threshold_values = 3.86e-07
threshold_type = lesser
clf_kwargs = {'n_neighbors':25, 'weights':'uniform'}
